#
# spec file for package ncpfs (Version 2.2.3)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  gettext
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils cracklib gcc gdbm gettext libtool perl rpm

Name:         ncpfs
License:      GPL
Group:        Productivity/Networking/Novell
Autoreqprov:  on
Version:      2.2.3
Release:      107
PreReq:       %insserv_prereq %fillup_prereq
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Summary:      Tools for Accessing Novell File Systems
Source:       ftp://platan.vc.cvut.cz/pub/linux/ncpfs/ncpfs-%{version}.tar.bz2
Patch0:       ncpfs-2.2.3-latest.patch
Patch1:       ncpfs-%{version}.dif
Patch2:       ncpfs-2.2.4-NWDSCreateContextHandleMnt.patch
Patch3:       ncpfs.CAN-2005-0013.patch
Patch4:       ncpfs.CAN-2005-0014.patch
Source1:      ncpfs-ipxmount
Source2:      ncpfs-ipxmount.sysconfig
Source3:      ncpfs-example.tar.bz2

%description
With this program you can mount Netware-server file systems under
Linux. You can even print Linux documents on printers attached to a
Novell server.



Authors:
--------
    Volker Lendecke <lendecke@namu01.gwdg.de>

%package devel
Summary:      Tools for accessing Novell filesystems
Group:        Development/Libraries/C and C++
Requires:     %{name} = %{version}

%description devel
This package contains the libs and header files to link against libncp.

You can mount Netware-server filesystems under Linux using this little
tool. You can even print Linux documents on printers attached to the
Novell server.



Authors:
--------
    Volker Lendecke <lendecke@namu01.gwdg.de>

%prep
%setup -q -n ncpfs-%{version}
%patch0 -p1
%patch1
%patch2 -p1
%patch3 -p1
%patch4
tar xfvj %{SOURCE3}
if [ "$UID" = 0 ] ; then chown -R 0:0 . ; fi

%build
CFLAGS="$RPM_OPT_FLAGS -Wall -O1 -fno-strict-aliasing" LDFLAGS="-s" \
./configure \
	--prefix=/usr \
	--enable-pam \
	--disable-warnings \
	--mandir=%{_mandir} \
	--libdir=%{_libdir}
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/init.d 
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/var/adm/fillup-templates
export LD_LIBRARY_PATH="$LD_LIBRARY_PATH:/usr/src/packages/BUILD/ncpfs-%{version}/lib"
make \
DESTDIR=$RPM_BUILD_ROOT \
LIB_PAM_SECURITY=/%{_lib}/security \
install install-dev
mv contrib/pam/README{,.pam}
cp -av %{SOURCE1} $RPM_BUILD_ROOT/etc/init.d/ipxmount
ln -sv ../../etc/init.d/ipxmount $RPM_BUILD_ROOT/usr/sbin/rcipxmount
cp -av %{SOURCE2} $RPM_BUILD_ROOT/var/adm/fillup-templates/sysconfig.%{name}
if [ "$UID" = "0" ] ; then
for i in \
	/usr/bin/ncpmount \
	/usr/bin/ncpumount \
	/usr/bin/nwsfind \
	/usr/bin/ncplogin \
	/usr/bin/ncpmap \
; do
chown root:trusted $RPM_BUILD_ROOT$i
chmod 4750 $RPM_BUILD_ROOT$i
done
fi

%clean
find $RPM_BUILD_ROOT|sed "s#$RPM_BUILD_ROOT##"|sort > /tmp/install_file.txt
rpm -qpl %{_topdir}/RPMS/%{_target_cpu}/*-%{release}.%{_target_cpu}.rpm|sort > /tmp/rpm_file.txt
(diff -u /tmp/install_file.txt /tmp/rpm_file.txt > /tmp/file_diff.txt)
cat /tmp/file_diff.txt
rm -rf $RPM_BUILD_ROOT

%post
%{fillup_and_insserv ipxmount}
%{run_ldconfig}

%postun
%{insserv_cleanup}

%files -n ncpfs
%doc BUGS Changes COPYING FAQ README ncpfs*.lsm
%doc contrib/pam/README.pam
%doc ncpfs-example
%attr(-,root,-) /etc/init.d/*
%attr(-,root,-) /sbin/*
%attr(-,root,-) /usr/sbin/*
%attr(-,root,-) /usr/bin/*
%{_libdir}/libncp.so.*
/%{_lib}/security/pam_ncp_auth.so
%doc /usr/share/man/man?/*
/usr/share/locale/*/LC_MESSAGES/ncpfs.mo
/var/adm/fillup-templates/*

%files devel
/usr/include/ncp
%{_libdir}/libncp.a
%{_libdir}/libncp.so

%changelog -n ncpfs
* Mon Jan 24 2005 - olh@suse.de
- correct logic in CAN-2005-0014 patch
* Wed Jan 19 2005 - olh@suse.de
- add file permisions check for ~/.nwclient (##49677 - CAN-2005-0013)
- add fix for possible buffer overflow in ncplogin (#49677 - CAN-2005-0014)
* Mon Dec 13 2004 - olh@suse.de
- add ncpfs-2.2.4-NWDSCreateContextHandleMnt.patch
  buffer overflow in ncplogin and ncpmap - CAN-2004-1079 (#48702)
* Tue Sep 02 2003 - mmj@suse.de
- Add sysconfig metadata [#28905]
* Mon Jul 21 2003 - olh@suse.de
- more chown fixes
* Fri Jul 18 2003 - olh@suse.de
- chown syntax changed in incompatible way
  NWDSReadAttrDef request buffers should be filled with
  NWDSPutAttrName, not with NWDSPutClassItem.
  Rename pqrm to nwpqjob, add support for resuming held print jobs
* Sat Jul 05 2003 - olh@suse.de
- update to 2.2.3, apply bk latest ChangeSet 1.268
* Thu Jun 12 2003 - olh@suse.de
- remove /etc/init.d from filelist
* Sat Feb 08 2003 - olh@suse.de
- update to 2.2.1
  add more rcipxmount changes, from Dieter Jurzitza
  add TCP/IPX sysconfig option, default IPX
  add codepage sysconfig option
* Wed Jan 22 2003 - olh@suse.de
- update sysconfig data to the new metadata format (#22661)
  use ncpfs- as prefix for all source files
* Sat Aug 10 2002 - kukuk@suse.de
- Fix last change
* Fri Aug 09 2002 - olh@suse.de
- devel requires base package
* Wed Jul 31 2002 - olh@suse.de
- add PreReq insserv_prereq fillup_prereq
  change default permissions for some files to 4750 root.trusted
* Tue Jul 23 2002 - olh@suse.de
- remove modprobe call in rcipxmount
  call modprobe with empty env in ncpmount and ncplogin
  fix possible buffer overflow in ncplogin
* Mon Jul 22 2002 - olh@suse.de
- run ldconfig in postinstall
* Mon Jul 22 2002 - olh@suse.de
- add rcipxmount script, provided by Dieter Jurzitza (#12485)
* Sun Jul 21 2002 - olh@suse.de
- update to 2.2.0.19
* Mon May 27 2002 - sf@suse.de
- lib64 fixes
* Tue May 14 2002 - schwab@suse.de
- Reenable function/data sections on ia64.
* Sun May 12 2002 - schwab@suse.de
- Fix type conflicts.
* Fri Nov 16 2001 - olh@suse.de
- fix putonftp
* Fri Nov 16 2001 - olh@suse.de
- add ncpfs-2.2.0.18-sec1.diff
  Fixed a bufferoverflow in ncpmount/ncpumount (by krahmer@suse.de)
  putonftp
* Fri Aug 24 2001 - olh@suse.de
- fix typo in specfile which includes the Buildroot in search path
  slist was affected
* Wed Jan 24 2001 - sf@suse.de
- removed '-ffunction-sections -fdata-sections' for IA64
- removed all implicit declarations
* Tue Dec 12 2000 - olh@suse.de
- really fixed the mandir
* Tue Dec 12 2000 - ro@suse.de
- specfile fixed for mandir
* Tue Dec 12 2000 - ro@suse.de
- filelist fix
* Mon Dec 11 2000 - olh@suse.de
- update to 2.2.0.18
* Sun Nov 26 2000 - kukuk@suse.de
- fix spec file
* Fri Nov 24 2000 - olh@suse.de
- create -devel package, fix group tag
* Sun Jan 30 2000 - olh@suse.de
- update to version 2.2.0.16
  /usr/man -> /usr/share/man
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu May 20 1999 - ro@suse.de
- simply define NR_OPEN if not defined by libc
* Mon Mar 01 1999 - ro@suse.de
- ncpmount: for glibc-2.1 include linux/limits instead of sys/params
  to get NR_OPEN
* Tue Nov 24 1998 - ro@suse.de
- cleanup
* Tue Nov 24 1998 - ro@suse.de
- added .so link (in /usr/lib)
* Tue Sep 22 1998 - ro@suse.de
- update to 2.2.0
- changed ifdef __GLIBC__ in include/kernel/types.h to if 0
* Tue Jun 03 1997 - vl@suse.de
  new version 2.0.10
* Thu Jan 02 1997 - bs@suse.de
  new version 2.0.6
